### Constructor

# Gtk DirectoryListnew

#### Declaration [src]

    GtkDirectoryList*
    gtk_directory_list_new (
      const char* attributes,
      GFile* file
    )

#### Description [src]

Creates a new `GtkDirectoryList`.

The `GtkDirectoryList` is querying the given `file` with the given `attributes`.

#### Parameters

`attributes`

  Type: `const char*`

  The attributes to query with.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `GFile`

  The file to query.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkDirectoryList`

A new `GtkDirectoryList`

The caller of the function takes ownership of the data, and is responsible for freeing it.